# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Cookie/Baker.pm) perl(Cookie/Baker/XS.pm) perl(Dumbbench.pm) perl(Test/MemoryGrowth.pm) perl(parent.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    HTTP-XSCookies
%define upstream_version 0.000021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt4_9

Summary:    Fast XS cookie mangling for Perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(Date/Parse.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(XSLoader.pm)
BuildRequires: perl-devel
Source44: import.info

%description
This module implements cookie creation (baking) and parsing (crushing)
using XS, therefore improving the speed of a pure Perl implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/80_memory_leak.t

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml
%perl_vendor_archlib/*


%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.000021-alt4_9
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.000021-alt3_9
- update by mgaimport

* Wed Oct 20 2021 Igor Vlasenko <viy@altlinux.org> 0.000021-alt3_7
- update

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.000021-alt3_6
- rebuild to get rid of unmets

* Fri Oct 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.000021-alt2_6
- update

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.000021-alt2_5
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.000021-alt2_4
- update by mgaimport

* Sat Feb 02 2019 Cronbuild Service <cronbuild@altlinux.org> 0.000021-alt2_3
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.000021-alt1_3
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.000021-alt1_2
- update by mgaimport

* Thu Apr 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.000021-alt1_1
- new version

